<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<!-- Generated 11-oct-2018 12:03:25 by Hibernate Tools 4.3.1 -->
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.core.Address" table="address" catalog="prase">
        <id name="id" type="string">
            <column name="id" length="36" />
            <generator class="assigned"></generator>
        </id>
        <property name="street" type="string">
            <column name="street" length="50" not-null="true"/>
        </property>
        <property name="street2" type="string">
            <column name="street_2" length="50" />
        </property>
        <property name="extendedAddress" type="string">
            <column name="extended_address" length="50"/>
        </property>
        <property name="locality" type="string">
            <column name="locality" length="50"/>
        </property>
        <property name="region" type="string">
            <column name="region" length="50"/>
        </property>
        <property name="zipCode" type="string">
            <column name="zip_code" length="7"/>
        </property>
        <property name="addressType" column="address_type" not-null="true">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.AddressType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
        <property name="preferenced" type="java.lang.Boolean">
            <column name="preferenced" sql-type="TINYINT"/>
        </property>
        <property name="addressGoogleMap" type="string">
            <column name="address_google_maps" length="250"/>
        </property>
        <property name="latitud" type="string">
            <column name="latitud" length="50"/>
        </property>
        <property name="longitud" type="string">
            <column name="longitud" length="50"/>
        </property>
        <many-to-one name="person" class="com.arrebol.taxiservicios.model.core.Person" not-null="true" fetch="select">
            <column name="person_id" length="36"/>
        </many-to-one>
        <many-to-one name="createdBy" class="com.arrebol.taxiservicios.model.core.User" not-null="true" fetch="select">
            <column name="created_by" length="36"/>
        </many-to-one>
        <property name="createdOn" type="timestamp">
            <column length="19" name="created_on"/>
        </property>
        <many-to-one name="lastUpdatedBy" class="com.arrebol.taxiservicios.model.core.User" fetch="select">
            <column name="last_updated_by" length="36"/>
        </many-to-one>
        <property name="lastUpdatedOn" type="timestamp">
            <column length="19" name="last_updated_on" />
        </property>
    </class>
</hibernate-mapping>